package com.jsh.erp.datasource.entities;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 盘点任务
 */
@Data
@Accessors(chain = true)
public class TaskStocktaking {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("负责人ID")
    private Long creator;

    @ApiModelProperty("创建人ID")
    private Long createBy;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("任务类型 1.全盘，2.抽盘")
    private int taskType;

    @ApiModelProperty("仓库ID")
    private Long depotId;

    @ApiModelProperty("任务单号")
    private String number;

    @ApiModelProperty("种类数")
    private Integer categoryCount;

    @ApiModelProperty("商品数")
    private Integer materialCount;

    @ApiModelProperty("任务状态 1.未开始，2.进行中，3.已完成，4.已取消，5.已更新")
    private Integer taskStatus;

    @ApiModelProperty("盘点范围")
    private String positionRange;

    @ApiModelProperty("删除标记，0.未删除，1.已删除")
    private boolean deleteFlag;

    @ApiModelProperty("盘点人")
    private Long operBy;

    @ApiModelProperty("盘点时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date operTime;

}
